edopex100
Posts: 1
Joined: Wed May 15, 2019 6:18 am

Problema Voice Kit 2.0

Wed May 15, 2019 6:26 am

Buenas noches,

Solicito su colaboracion, hace poco adquiri mi nuevo kit voice 2.0 de google, segui los pasos al pie de la letra segun la pagina oficial de AIY, ejecute las pruebas de sonido y voz las cuales fueron exitosas.

Justo cuando inicio el assistant_gprc_demo.py y me solicita el codigo de autorizacion me despliega lo siguiente:

Code: Select all

Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 438, in wrap_socket
    cnx.do_handshake()
  File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1426, in do_handshake
    self._raise_ssl_error(self._ssl, result)
  File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1174, in _raise_ssl_error
    _raise_current_error()
  File "/usr/lib/python3/dist-packages/OpenSSL/_util.py", line 48, in exception_from_error_queue
    raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
    chunked=chunked)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
    self._validate_conn(conn)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
    conn.connect()
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
    ssl_context=context)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/util/ssl_.py", line 325, in ssl_wrap_socket
    return context.wrap_socket(sock, server_hostname=server_hostname)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 445, in wrap_socket
    raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')],)",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/pi/.local/lib/python3.5/site-packages/requests/adapters.py", line 438, in send
    timeout=timeout
  File "/home/pi/.local/lib/python3.5/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
    raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')],)",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "src/examples/voice/assistant_grpc_demo.py", line 54, in <module>
    main()
  File "src/examples/voice/assistant_grpc_demo.py", line 33, in main
    assistant = aiy.assistant.grpc.get_assistant()
  File "/opt/aiy/projects-python/src/aiy/assistant/grpc.py", line 77, in get_assistant
    credentials = aiy.assistant.auth_helpers.get_assistant_credentials()
  File "/opt/aiy/projects-python/src/aiy/assistant/auth_helpers.py", line 132, in get_assistant_credentials
    return _try_to_get_credentials(credentials_file)
  File "/opt/aiy/projects-python/src/aiy/assistant/auth_helpers.py", line 123, in _try_to_get_credentials
    credentials = _credentials_flow_interactive(client_secrets)
  File "/opt/aiy/projects-python/src/aiy/assistant/auth_helpers.py", line 78, in _credentials_flow_interactive
    credentials = flow.run_console()
  File "/usr/local/lib/python3.5/dist-packages/google_auth_oauthlib/flow.py", line 364, in run_console
    self.fetch_token(code=code)
  File "/usr/local/lib/python3.5/dist-packages/google_auth_oauthlib/flow.py", line 241, in fetch_token
    self.client_config['token_uri'], **kwargs)
  File "/usr/local/lib/python3.5/dist-packages/requests_oauthlib/oauth2_session.py", line 221, in fetch_token
    verify=verify, proxies=proxies)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/sessions.py", line 565, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "/usr/local/lib/python3.5/dist-packages/requests_oauthlib/oauth2_session.py", line 360, in request
    headers=headers, data=data, **kwargs)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/sessions.py", line 518, in request
    resp = self.send(prep, **send_kwargs)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/sessions.py", line 639, in send
    r = adapter.send(request, **kwargs)
  File "/home/pi/.local/lib/python3.5/site-packages/requests/adapters.py", line 512, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')],)",)
Espero puedan ayudarme por que e intentado de todo, lo curioso es que los comandos

Code: Select all

sudo apt-get update
me indican que el repositorio de aiy es peligroso y no actualiza mi pi zero.

Agradezco su ayuda, gracias.

User avatar
DPi
Posts: 43
Joined: Sun Mar 17, 2019 2:38 pm
Location: Spain
Contact: Website

Re: Problema Voice Kit 2.0

Sat May 18, 2019 10:39 pm

¿Has probado ya

Code: Select all

sudo apt upgrade && sudo apt dist-upgrade
? Tiene pinta de ser un problema de OpenSSL (puede ser una desactualización o así) revisa los repositorios (Piwheel da últimamente problemas con ciertos paquetes). Revisaré con profundidad los errores e investigaré en GitHub y tal... cuando tenga algo te digo :D
The rule for the RPi: sudo apt update :D
My English will be bad (I'm from Spain ;) )

Return to “Español”